<nav class="navbar navbar-expand-lg navbar-dark bg-dark bg-gradient">
  <div class="container d-flex justify-content-between">
    <div>
      <a class="navbar-brand">Angular Testing Zone</a>
    </div>
    <div>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" [routerLink]="'/home'" [routerLinkActive]="'active'">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" [routerLink]="'/profile'" [routerLinkActive]="'active'">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" [routerLink]="'/dashboard'" [routerLinkActive]="'active'">Dashboard [{{getMessagesUnread()}}]</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</nav>

<div class="container mt-3">
  <router-outlet></router-outlet>
</div>
